Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.selectors
Class Selector

    java.lang.Object
      org.jboss.mq.selectors.Selector

public class Selector
extends Object

This class implements a Message Selector.

Version:
  $Revision: 1.16 $
Author:
  Norbert Lataille (Norbert.Lataille@m4x.org), Juha Lindfors (jplindfo@helsinki.fi), Jason Dillon, Scott.Stark@jboss.org

Field Summary
`HashMap` | `identifiers`
`Object` | `result`
`String` | `selector`

Constructor Summary
`Selector(String sel)`

Method Summary
`static Class` | `getSelectorParserClass()` Get the class that implements the ISelectorParser interface to be used by Selector instances.
`static void` | `setSelectorParserClass(Class parserClass)` Set the class that implements the ISelectorParser interface to be used by Selector instances.
`boolean` | `test(SpyMessage.Header mes)`
`boolean` | `test(SpyMessage msg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### selector

    public String selector

### identifiers

    public HashMap identifiers

### result

    public Object result

Constructor Detail

### Selector

    public Selector(String sel)
             throws javax.jms.InvalidSelectorException

Method Detail

### getSelectorParserClass

    public static Class getSelectorParserClass()

  Get the class that implements the ISelectorParser interface to be used by Selector instances.

### setSelectorParserClass

    public static void setSelectorParserClass(Class parserClass)

  Set the class that implements the ISelectorParser interface to be used by Selector instances.

  Parameters:
    `parserClass` - the ISelectorParser implementation. This must have a public no-arg constructor.

### test

    public boolean test(SpyMessage.Header mes)
                 throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### test

    public boolean test(SpyMessage msg)
                 throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.